Overview
Package
Class
Use
Tree
Deprecated
Index
Help
PREV NEXT
FRAMES
NO FRAMES
All Classes
A
B
C
D
E
F
G
H
I
L
M
N
P
R
S
T
U
V
A
ACCESS_DENIED
- Static variable in class net.ramapuram.thomas.service.
UserSecurityAdvice
Default "Access Denied" error message (not i18n-ized).
Address
- Class in
net.ramapuram.thomas.model
This class is used to represent an address with address, city, province and postal-code information.
Address()
- Constructor for class net.ramapuram.thomas.model.
Address
addRole(Role)
- Method in class net.ramapuram.thomas.model.
User
Adds a role for the user
ADMIN_ROLE
- Static variable in class net.ramapuram.thomas.
Constants
The name of the Administrator role, as specified in web.xml
afterReturning(Object, Method, Object[], Object)
- Method in class net.ramapuram.thomas.service.
UserSecurityAdvice
After returning, grab the user, check if they've been modified and reset the SecurityContext if they have.
attributeAdded(HttpSessionBindingEvent)
- Method in class net.ramapuram.thomas.webapp.listener.
UserCounterListener
This method is designed to catch when user's login and record their name
attributeRemoved(HttpSessionBindingEvent)
- Method in class net.ramapuram.thomas.webapp.listener.
UserCounterListener
When user's logout, remove their name from the hashMap
attributeReplaced(HttpSessionBindingEvent)
- Method in class net.ramapuram.thomas.webapp.listener.
UserCounterListener
Needed for Acegi Security 1.0, as it adds an anonymous user to the session and then replaces it after authentication.
AVAILABLE_ROLES
- Static variable in class net.ramapuram.thomas.
Constants
The name of the available roles list, a request-scoped attribute when adding/editing a user.
B
BaseAction
- Class in
net.ramapuram.thomas.webapp.action
Implementation of
ActionSupport
that contains convenience methods for subclasses.
BaseAction()
- Constructor for class net.ramapuram.thomas.webapp.action.
BaseAction
BaseObject
- Class in
net.ramapuram.thomas.model
Base class for Model objects.
BaseObject()
- Constructor for class net.ramapuram.thomas.model.
BaseObject
before(Method, Object[], Object)
- Method in class net.ramapuram.thomas.service.
UserSecurityAdvice
Method to enforce security and only allow administrators to modify users.
Book
- Class in
net.ramapuram.thomas.model.acquisition
User: Thomas Emmanuel Ramapuram Date: 16/11/11 Time: 6:15 PM
Book()
- Constructor for class net.ramapuram.thomas.model.acquisition.
Book
buildCountryList(Locale)
- Method in class net.ramapuram.thomas.webapp.taglib.
CountryTag
Build a List of LabelValues for all the available countries.
BUNDLE_KEY
- Static variable in class net.ramapuram.thomas.
Constants
The name of the ResourceBundle used in this application
C
CANCEL
- Static variable in class net.ramapuram.thomas.webapp.action.
BaseAction
Constant for cancel result String
cancel
- Variable in class net.ramapuram.thomas.webapp.action.
BaseAction
Indicator if the user clicked cancel
cancel()
- Method in class net.ramapuram.thomas.webapp.action.
BaseAction
Simple method that returns "cancel" result
cancel()
- Method in class net.ramapuram.thomas.webapp.action.
UserAction
Sends users to "mainMenu" when !from.equals("list").
CASE_INSENSITIVE_ORDER
- Static variable in class net.ramapuram.thomas.model.
LabelValue
Comparator that can be used for a case insensitive sort of
LabelValue
objects.
Comment
- Class in
net.ramapuram.thomas.model.opac
User: Thomas Emmanuel Ramapuram Date: 16/11/11 Time: 6:21 PM
Comment()
- Constructor for class net.ramapuram.thomas.model.opac.
Comment
compare(Object, Object)
- Method in class net.ramapuram.thomas.webapp.taglib.
CountryTag.LabelValueComparator
Compares the localized labels of two LabelValues.
compareTo(Object)
- Method in class net.ramapuram.thomas.model.
LabelValue
Compare LabelValueBeans based on the label, because that's the human viewable part of the object.
compareTo(Object)
- Method in class net.ramapuram.thomas.model.
Role
CompassConfigurationPostProcessor
- Class in
net.ramapuram.thomas.webapp.search
Compass Post Processor that allows for adding scan mappings for more than one root package.
CompassConfigurationPostProcessor()
- Constructor for class net.ramapuram.thomas.webapp.search.
CompassConfigurationPostProcessor
CONFIG
- Static variable in class net.ramapuram.thomas.
Constants
The name of the configuration hashmap stored in application scope.
Constants
- Class in
net.ramapuram.thomas
Constant values used throughout the application.
ConstantsTag
- Class in
net.ramapuram.thomas.webapp.taglib
This class is designed to put all the public variables in a class to a specified scope - designed for exposing a Constants class to Tag Libraries.
ConstantsTag()
- Constructor for class net.ramapuram.thomas.webapp.taglib.
ConstantsTag
ConstantsTei
- Class in
net.ramapuram.thomas.webapp.taglib
Implementation of
TagExtraInfo
for the
constants
tag, identifying the scripting object(s) to be made visible.
ConstantsTei()
- Constructor for class net.ramapuram.thomas.webapp.taglib.
ConstantsTei
contextDestroyed(ServletContextEvent)
- Method in class net.ramapuram.thomas.webapp.jsp.
EscapeXmlELResolverListener
contextDestroyed(ServletContextEvent)
- Method in class net.ramapuram.thomas.webapp.listener.
StartupListener
Shutdown servlet context (currently a no-op method).
contextDestroyed(ServletContextEvent)
- Method in class net.ramapuram.thomas.webapp.listener.
UserCounterListener
Set the servletContext, users and counter to null
contextInitialized(ServletContextEvent)
- Method in class net.ramapuram.thomas.webapp.jsp.
EscapeXmlELResolverListener
contextInitialized(ServletContextEvent)
- Method in class net.ramapuram.thomas.webapp.listener.
StartupListener
contextInitialized(ServletContextEvent)
- Method in class net.ramapuram.thomas.webapp.listener.
UserCounterListener
Initialize the context
convert(Class, Object)
- Method in class net.ramapuram.thomas.util.
CurrencyConverter
Convert a String to a Double and a Double to a String
convert(Class, Object)
- Method in class net.ramapuram.thomas.util.
DateConverter
Convert a date to a String and a String to a Date
convertBundleToMap(ResourceBundle)
- Static method in class net.ramapuram.thomas.util.
ConvertUtil
Method to convert a ResourceBundle to a Map object.
convertBundleToProperties(ResourceBundle)
- Static method in class net.ramapuram.thomas.util.
ConvertUtil
Method to convert a ResourceBundle to a Properties object.
convertDateToString(Date)
- Static method in class net.ramapuram.thomas.util.
DateUtil
This method generates a string representation of a date based on the System Property 'dateFormat' in the format you specify on input
convertFromString(Map, String[], Class)
- Method in class net.ramapuram.thomas.webapp.action.
DateConverter
convertListToMap(List<LabelValue>)
- Static method in class net.ramapuram.thomas.util.
ConvertUtil
Convert a java.util.List of LabelValue objects to a LinkedHashMap.
convertStringToDate(String, String)
- Static method in class net.ramapuram.thomas.util.
DateUtil
This method generates a string representation of a date/time in the format you specify on input
convertStringToDate(String)
- Static method in class net.ramapuram.thomas.util.
DateUtil
This method converts a String to a date using the datePattern
convertToDate(Class<?>, Object, String)
- Method in class net.ramapuram.thomas.util.
DateConverter
Convert a String to a Date with the specified pattern.
convertToDate(Class, Object)
- Method in class net.ramapuram.thomas.util.
TimestampConverter
Convert a String to a date
convertToString(Object)
- Method in class net.ramapuram.thomas.util.
DateConverter
Convert a java.util.Date or a java.sql.Timestamp to a String.
convertToString(Class, Object)
- Method in class net.ramapuram.thomas.util.
TimestampConverter
Convert from a java.util.Date to a String
convertToString(Map, Object)
- Method in class net.ramapuram.thomas.webapp.action.
DateConverter
ConvertUtil
- Class in
net.ramapuram.thomas.util
Utility class to convert one object to another.
COUNT_KEY
- Static variable in class net.ramapuram.thomas.webapp.listener.
UserCounterListener
Name of user counter variable
CountryTag
- Class in
net.ramapuram.thomas.webapp.taglib
Tag for creating multiple <select> options for displaying a list of country names.
CountryTag()
- Constructor for class net.ramapuram.thomas.webapp.taglib.
CountryTag
CountryTag.LabelValueComparator
- Class in
net.ramapuram.thomas.webapp.taglib
Class to compare LabelValues using their labels with locale-sensitive behaviour.
CountryTag.LabelValueComparator(Locale)
- Constructor for class net.ramapuram.thomas.webapp.taglib.
CountryTag.LabelValueComparator
Creates a new LabelValueComparator object.
CSS_THEME
- Static variable in class net.ramapuram.thomas.
Constants
The name of the CSS Theme setting.
CurrencyConverter
- Class in
net.ramapuram.thomas.util
This class is converts a Double to a double-digit String (and vise-versa) by BeanUtils when copying properties.
CurrencyConverter()
- Constructor for class net.ramapuram.thomas.util.
CurrencyConverter
D
dao
- Variable in class net.ramapuram.thomas.service.impl.
GenericManagerImpl
GenericDao instance, set by constructor of child classes
DateConverter
- Class in
net.ramapuram.thomas.util
This class converts a java.util.Date to a String and a String to a java.util.Date.
DateConverter()
- Constructor for class net.ramapuram.thomas.util.
DateConverter
DateConverter
- Class in
net.ramapuram.thomas.webapp.action
This class implements a Struts Type Converter and can be used by struts to convert Date's to Strings
DateConverter()
- Constructor for class net.ramapuram.thomas.webapp.action.
DateConverter
DateUtil
- Class in
net.ramapuram.thomas.util
Date Utility Class used to convert Strings to Dates and Timestamps
delete
- Variable in class net.ramapuram.thomas.webapp.action.
BaseAction
Set to "delete" when a "delete" request parameter is passed in
delete()
- Method in class net.ramapuram.thomas.webapp.action.
UserAction
Delete the user passed in.
deleteCookie(HttpServletResponse, Cookie, String)
- Static method in class net.ramapuram.thomas.webapp.util.
RequestUtil
Convenience method for deleting a cookie by name
destroy()
- Method in class net.ramapuram.thomas.webapp.interceptor.
UserRoleAuthorizationInterceptor
This method currently does nothing.
doDefault()
- Method in class net.ramapuram.thomas.webapp.action.
SignupAction
Returns "input"
doFilterInternal(HttpServletRequest, HttpServletResponse, FilterChain)
- Method in class net.ramapuram.thomas.webapp.filter.
LocaleFilter
This method looks for a "locale" request parameter.
doStartTag()
- Method in class net.ramapuram.thomas.webapp.taglib.
ConstantsTag
Main method that does processing and exposes Constants in specified scope
doStartTag()
- Method in class net.ramapuram.thomas.webapp.taglib.
CountryTag
Process the start of this tag.
E
edit()
- Method in class net.ramapuram.thomas.webapp.action.
UserAction
Grab the user from the database based on the "id" passed in.
equals(Object)
- Method in class net.ramapuram.thomas.model.acquisition.
Book
equals(Object)
- Method in class net.ramapuram.thomas.model.
Address
Overridden equals method for object comparison.
equals(Object)
- Method in class net.ramapuram.thomas.model.
BaseObject
Compares object equality.
equals(Object)
- Method in class net.ramapuram.thomas.model.circulation.
Issue
equals(Object)
- Method in class net.ramapuram.thomas.model.
LabelValue
LabelValueBeans are equal if their values are both null or equal.
equals(Object)
- Method in class net.ramapuram.thomas.model.opac.
Comment
equals(Object)
- Method in class net.ramapuram.thomas.model.opac.
Reservation
equals(Object)
- Method in class net.ramapuram.thomas.model.
Role
Compares object equality.
equals(Object)
- Method in class net.ramapuram.thomas.model.
User
Compares object equality.
escape(String)
- Static method in class net.ramapuram.thomas.webapp.jsp.
EscapeXml
Escape a string.
EscapeXml
- Class in
net.ramapuram.thomas.webapp.jsp
Handles escaping of characters that could be interpreted as XML markup.
EscapeXml()
- Constructor for class net.ramapuram.thomas.webapp.jsp.
EscapeXml
EscapeXmlELResolver
- Class in
net.ramapuram.thomas.webapp.jsp
ELResolver
which escapes XML in String values.
EscapeXmlELResolver()
- Constructor for class net.ramapuram.thomas.webapp.jsp.
EscapeXmlELResolver
EscapeXmlELResolverListener
- Class in
net.ramapuram.thomas.webapp.jsp
Registers ELResolver that escapes XML in EL expression String values.
EscapeXmlELResolverListener()
- Constructor for class net.ramapuram.thomas.webapp.jsp.
EscapeXmlELResolverListener
EVENT_KEY
- Static variable in class net.ramapuram.thomas.webapp.listener.
UserCounterListener
The default event we're looking to trap.
execute()
- Method in class net.ramapuram.thomas.webapp.action.
FileUploadAction
Default method - returns "input"
execute()
- Method in class net.ramapuram.thomas.webapp.action.
PasswordHintAction
Execute sending the password hint via e-mail.
execute()
- Method in class net.ramapuram.thomas.webapp.action.
ReloadAction
Method that calls StartupListener.setContext() and returns user to referrer location (or does a popup if none found).
execute()
- Method in class net.ramapuram.thomas.webapp.action.
SignupAction
When method=GET, "input" is returned.
execute()
- Method in class net.ramapuram.thomas.webapp.action.
UserAction
Default: just returns "success"
exists(PK)
- Method in interface net.ramapuram.thomas.dao.
GenericDao
Checks for existence of an object of type T using the id arg.
exists(PK)
- Method in class net.ramapuram.thomas.dao.hibernate.
GenericDaoHibernate
Checks for existence of an object of type T using the id arg.
exists(PK)
- Method in interface net.ramapuram.thomas.service.
GenericManager
Checks for existence of an object of type T using the id arg.
exists(PK)
- Method in class net.ramapuram.thomas.service.impl.
GenericManagerImpl
Checks for existence of an object of type T using the id arg.
F
FILE_SEP
- Static variable in class net.ramapuram.thomas.
Constants
File separator from System properties
FileUploadAction
- Class in
net.ramapuram.thomas.webapp.action
Sample action that shows how to do file upload with Struts 2.
FileUploadAction()
- Constructor for class net.ramapuram.thomas.webapp.action.
FileUploadAction
findByNamedQuery(String, Map<String, Object>)
- Method in interface net.ramapuram.thomas.dao.
GenericDao
Find a list of records by using a named query
findByNamedQuery(String, Map<String, Object>)
- Method in class net.ramapuram.thomas.dao.hibernate.
GenericDaoHibernate
Find a list of records by using a named query
from
- Variable in class net.ramapuram.thomas.webapp.action.
BaseAction
Indicator for the page the user came from.
G
GenericDao
<
T
,
PK
extends java.io.Serializable> - Interface in
net.ramapuram.thomas.dao
Generic DAO (Data Access Object) with common methods to CRUD POJOs.
GenericDaoHibernate
<
T
,
PK
extends java.io.Serializable> - Class in
net.ramapuram.thomas.dao.hibernate
This class serves as the Base class for all other DAOs - namely to hold common CRUD methods that they might all use.
GenericDaoHibernate(Class<T>)
- Constructor for class net.ramapuram.thomas.dao.hibernate.
GenericDaoHibernate
Constructor that takes in a class to see which type of entity to persist.
GenericDaoHibernate(Class<T>, SessionFactory)
- Constructor for class net.ramapuram.thomas.dao.hibernate.
GenericDaoHibernate
Constructor that takes in a class and sessionFactory for easy creation of DAO.
GenericManager
<
T
,
PK
extends java.io.Serializable> - Interface in
net.ramapuram.thomas.service
Generic Manager that talks to GenericDao to CRUD POJOs.
GenericManagerImpl
<
T
,
PK
extends java.io.Serializable> - Class in
net.ramapuram.thomas.service.impl
This class serves as the Base class for all other Managers - namely to hold common CRUD methods that they might all use.
GenericManagerImpl()
- Constructor for class net.ramapuram.thomas.service.impl.
GenericManagerImpl
GenericManagerImpl(GenericDao<T, PK>)
- Constructor for class net.ramapuram.thomas.service.impl.
GenericManagerImpl
get(PK)
- Method in interface net.ramapuram.thomas.dao.
GenericDao
Generic method to get an object based on class and identifier.
get(PK)
- Method in class net.ramapuram.thomas.dao.hibernate.
GenericDaoHibernate
Generic method to get an object based on class and identifier.
get(PK)
- Method in interface net.ramapuram.thomas.service.
GenericManager
Generic method to get an object based on class and identifier.
get(PK)
- Method in class net.ramapuram.thomas.service.impl.
GenericManagerImpl
Generic method to get an object based on class and identifier.
getAddress()
- Method in class net.ramapuram.thomas.model.
Address
getAddress()
- Method in class net.ramapuram.thomas.model.
User
getAll()
- Method in interface net.ramapuram.thomas.dao.
GenericDao
Generic method used to get all objects of a particular type.
getAll()
- Method in class net.ramapuram.thomas.dao.hibernate.
GenericDaoHibernate
Generic method used to get all objects of a particular type.
getAll()
- Method in interface net.ramapuram.thomas.service.
GenericManager
Generic method used to get all objects of a particular type.
getAll()
- Method in class net.ramapuram.thomas.service.impl.
GenericManagerImpl
Generic method used to get all objects of a particular type.
getAllDistinct()
- Method in interface net.ramapuram.thomas.dao.
GenericDao
Gets all records without duplicates.
getAllDistinct()
- Method in class net.ramapuram.thomas.dao.hibernate.
GenericDaoHibernate
Gets all records without duplicates.
getAllRoles()
- Method in class net.ramapuram.thomas.service.impl.
LookupManagerImpl
Retrieves all possible roles from persistence layer
getAllRoles()
- Method in interface net.ramapuram.thomas.service.
LookupManager
Retrieves all possible roles from persistence layer
getAppURL(HttpServletRequest)
- Static method in class net.ramapuram.thomas.webapp.util.
RequestUtil
Convenience method to get the application's URL based on request variables.
getAuthor()
- Method in class net.ramapuram.thomas.model.acquisition.
Book
getAuthorities()
- Method in class net.ramapuram.thomas.model.
User
getAuthority()
- Method in class net.ramapuram.thomas.model.
Role
getBook()
- Method in class net.ramapuram.thomas.model.circulation.
Issue
getBook()
- Method in class net.ramapuram.thomas.model.opac.
Comment
getBook()
- Method in class net.ramapuram.thomas.model.opac.
Reservation
getCity()
- Method in class net.ramapuram.thomas.model.
Address
getClassName()
- Method in class net.ramapuram.thomas.webapp.taglib.
ConstantsTag
getComment()
- Method in class net.ramapuram.thomas.model.opac.
Comment
getCommonPropertyType(ELContext, Object)
- Method in class net.ramapuram.thomas.webapp.jsp.
EscapeXmlELResolver
getConfiguration()
- Method in class net.ramapuram.thomas.webapp.action.
BaseAction
Convenience method to get the Configuration HashMap from the servlet context.
getConfirmPassword()
- Method in class net.ramapuram.thomas.model.
User
getCookie(HttpServletRequest, String)
- Static method in class net.ramapuram.thomas.webapp.util.
RequestUtil
Convenience method to get a cookie by name
getCountry()
- Method in class net.ramapuram.thomas.model.
Address
getCurrentIssue()
- Method in class net.ramapuram.thomas.model.acquisition.
Book
getDate(Date)
- Static method in class net.ramapuram.thomas.util.
DateUtil
This method attempts to convert an Oracle-formatted date in the form dd-MMM-yyyy to mm/dd/yyyy.
getDatePattern()
- Static method in class net.ramapuram.thomas.util.
DateUtil
Return default datePattern (MM/dd/yyyy)
getDateTime(String, Date)
- Static method in class net.ramapuram.thomas.util.
DateUtil
This method generates a string representation of a date's date/time in the format you specify on input
getDateTimePattern()
- Static method in class net.ramapuram.thomas.util.
DateUtil
getDescription()
- Method in class net.ramapuram.thomas.model.
Role
getDueDate()
- Method in class net.ramapuram.thomas.model.circulation.
Issue
getEmail()
- Method in class net.ramapuram.thomas.model.
User
getEnteredOn()
- Method in class net.ramapuram.thomas.model.opac.
Comment
getFeatureDescriptors(ELContext, Object)
- Method in class net.ramapuram.thomas.webapp.jsp.
EscapeXmlELResolver
getFile()
- Method in class net.ramapuram.thomas.webapp.action.
FileUploadAction
getFileContentType()
- Method in class net.ramapuram.thomas.webapp.action.
FileUploadAction
getFileFileName()
- Method in class net.ramapuram.thomas.webapp.action.
FileUploadAction
getFirstName()
- Method in class net.ramapuram.thomas.model.
User
getFullName()
- Method in class net.ramapuram.thomas.model.
User
Returns the full name.
getHibernateTemplate()
- Method in class net.ramapuram.thomas.dao.hibernate.
GenericDaoHibernate
getId()
- Method in class net.ramapuram.thomas.model.acquisition.
Book
getId()
- Method in class net.ramapuram.thomas.model.circulation.
Issue
getId()
- Method in class net.ramapuram.thomas.model.opac.
Comment
getId()
- Method in class net.ramapuram.thomas.model.opac.
Reservation
getId()
- Method in class net.ramapuram.thomas.model.
Role
getId()
- Method in class net.ramapuram.thomas.model.
User
getIsbn()
- Method in class net.ramapuram.thomas.model.acquisition.
Book
getIssueDate()
- Method in class net.ramapuram.thomas.model.circulation.
Issue
getIssuedTo()
- Method in class net.ramapuram.thomas.model.circulation.
Issue
getLabel()
- Method in class net.ramapuram.thomas.model.
LabelValue
getLastName()
- Method in class net.ramapuram.thomas.model.
User
getLocale()
- Method in class net.ramapuram.thomas.webapp.filter.
LocaleRequestWrapper
getLocales()
- Method in class net.ramapuram.thomas.webapp.filter.
LocaleRequestWrapper
getMailSender()
- Method in class net.ramapuram.thomas.service.
MailEngine
getName()
- Method in class net.ramapuram.thomas.model.
Role
getName()
- Method in class net.ramapuram.thomas.webapp.action.
FileUploadAction
getPassword()
- Method in class net.ramapuram.thomas.model.
User
getPasswordHint()
- Method in class net.ramapuram.thomas.model.
User
getPhoneNumber()
- Method in class net.ramapuram.thomas.model.
User
getPostalCode()
- Method in class net.ramapuram.thomas.model.
Address
getProvince()
- Method in class net.ramapuram.thomas.model.
Address
getPublishedPlace()
- Method in class net.ramapuram.thomas.model.acquisition.
Book
getPublishedYear()
- Method in class net.ramapuram.thomas.model.acquisition.
Book
getRequest()
- Method in class net.ramapuram.thomas.webapp.action.
BaseAction
Convenience method to get the request
getReservationReleaseDate()
- Method in class net.ramapuram.thomas.model.opac.
Reservation
getResponse()
- Method in class net.ramapuram.thomas.webapp.action.
BaseAction
Convenience method to get the response
getReturnDate()
- Method in class net.ramapuram.thomas.model.circulation.
Issue
getRole(String)
- Method in class net.ramapuram.thomas.service.impl.
RoleManagerImpl
getRole(String)
- Method in interface net.ramapuram.thomas.service.
RoleManager
getRoleByName(String)
- Method in class net.ramapuram.thomas.dao.hibernate.
RoleDaoHibernate
Gets role information based on rolename
getRoleByName(String)
- Method in interface net.ramapuram.thomas.dao.
RoleDao
Gets role information based on rolename
getRoleList()
- Method in class net.ramapuram.thomas.model.
User
Convert user roles to LabelValue objects for convenience.
getRoles()
- Method in class net.ramapuram.thomas.dao.hibernate.
LookupDaoHibernate
Returns all Roles ordered by name
getRoles()
- Method in interface net.ramapuram.thomas.dao.
LookupDao
Returns all Roles ordered by name
getRoles()
- Method in class net.ramapuram.thomas.model.
User
getRoles(Role)
- Method in class net.ramapuram.thomas.service.impl.
RoleManagerImpl
getRoles(Role)
- Method in interface net.ramapuram.thomas.service.
RoleManager
getScope()
- Method in class net.ramapuram.thomas.webapp.taglib.
ConstantsTag
getScope(String)
- Method in class net.ramapuram.thomas.webapp.taglib.
ConstantsTag
Converts the scope name into its corresponding PageContext constant value.
getSession()
- Method in class net.ramapuram.thomas.webapp.action.
BaseAction
Convenience method to get the session.
getSessionFactory()
- Method in class net.ramapuram.thomas.dao.hibernate.
GenericDaoHibernate
getSubject()
- Method in class net.ramapuram.thomas.model.acquisition.
Book
getTimeNow(Date)
- Static method in class net.ramapuram.thomas.util.
DateUtil
This method returns the current date time in the format: MM/dd/yyyy HH:MM a
getTitle()
- Method in class net.ramapuram.thomas.model.acquisition.
Book
getToday()
- Static method in class net.ramapuram.thomas.util.
DateUtil
This method returns the current date in the format: MM/dd/yyyy
getType(ELContext, Object, Object)
- Method in class net.ramapuram.thomas.webapp.jsp.
EscapeXmlELResolver
getUser()
- Method in class net.ramapuram.thomas.model.opac.
Comment
getUser()
- Method in class net.ramapuram.thomas.model.opac.
Reservation
getUser(String)
- Method in class net.ramapuram.thomas.service.impl.
UserManagerImpl
Retrieves a user by userId.
getUser(String)
- Method in interface net.ramapuram.thomas.service.
UserManager
Retrieves a user by userId.
getUser(String)
- Method in interface net.ramapuram.thomas.service.
UserService
Retrieves a user by userId.
getUser()
- Method in class net.ramapuram.thomas.webapp.action.
SignupAction
Return an instance of the user - to display when validation errors occur
getUser()
- Method in class net.ramapuram.thomas.webapp.action.
UserAction
getUserByUsername(String)
- Method in class net.ramapuram.thomas.service.impl.
UserManagerImpl
Finds a user by their username.
getUserByUsername(String)
- Method in interface net.ramapuram.thomas.service.
UserManager
Finds a user by their username.
getUserByUsername(String)
- Method in interface net.ramapuram.thomas.service.
UserService
Finds a user by their username.
getUsername()
- Method in class net.ramapuram.thomas.model.
User
getUserPassword(String)
- Method in class net.ramapuram.thomas.dao.hibernate.
UserDaoHibernate
Retrieves the password in DB for a user
getUserPassword(String)
- Method in interface net.ramapuram.thomas.dao.
UserDao
Retrieves the password in DB for a user
getUsers()
- Method in class net.ramapuram.thomas.dao.hibernate.
UserDaoHibernate
Gets a list of users ordered by the uppercase version of their username.
getUsers()
- Method in interface net.ramapuram.thomas.dao.
UserDao
Gets a list of users ordered by the uppercase version of their username.
getUsers()
- Method in class net.ramapuram.thomas.service.impl.
UserManagerImpl
Retrieves a list of all users.
getUsers()
- Method in interface net.ramapuram.thomas.service.
UserManager
Retrieves a list of all users.
getUsers()
- Method in interface net.ramapuram.thomas.service.
UserService
Retrieves a list of all users.
getUsers()
- Method in class net.ramapuram.thomas.webapp.action.
UserAction
Holder for users to display on list screen
getValue()
- Method in class net.ramapuram.thomas.model.
LabelValue
getValue(ELContext, Object, Object)
- Method in class net.ramapuram.thomas.webapp.jsp.
EscapeXmlELResolver
getVar()
- Method in class net.ramapuram.thomas.webapp.taglib.
ConstantsTag
getVariableInfo(TagData)
- Method in class net.ramapuram.thomas.webapp.taglib.
ConstantsTei
Return information about the scripting variables to be created.
getVersion()
- Method in class net.ramapuram.thomas.model.
User
getWebsite()
- Method in class net.ramapuram.thomas.model.
User
H
handleNotAuthorized(HttpServletRequest, HttpServletResponse)
- Method in class net.ramapuram.thomas.webapp.interceptor.
UserRoleAuthorizationInterceptor
Handle a request that is not authorized according to this interceptor.
hashCode()
- Method in class net.ramapuram.thomas.model.acquisition.
Book
hashCode()
- Method in class net.ramapuram.thomas.model.
Address
Overridden hashCode method - compares on address, city, province, country and postal code.
hashCode()
- Method in class net.ramapuram.thomas.model.
BaseObject
When you override equals, you should override hashCode.
hashCode()
- Method in class net.ramapuram.thomas.model.circulation.
Issue
hashCode()
- Method in class net.ramapuram.thomas.model.
LabelValue
The hash code is based on the object's value.
hashCode()
- Method in class net.ramapuram.thomas.model.opac.
Comment
hashCode()
- Method in class net.ramapuram.thomas.model.opac.
Reservation
hashCode()
- Method in class net.ramapuram.thomas.model.
Role
When you override equals, you should override hashCode.
hashCode()
- Method in class net.ramapuram.thomas.model.
User
When you override equals, you should override hashCode.
HibernateExtensionPostProcessor
- Class in
net.ramapuram.thomas.dao.spring
Adds Hibernate persistent class definitions to an existing Spring Session Factory bean, possibly defined within a seperate Spring configuration file in a seperate jar file.
HibernateExtensionPostProcessor()
- Constructor for class net.ramapuram.thomas.dao.spring.
HibernateExtensionPostProcessor
I
init()
- Method in class net.ramapuram.thomas.webapp.interceptor.
UserRoleAuthorizationInterceptor
This method currently does nothing.
intercept(ActionInvocation)
- Method in class net.ramapuram.thomas.webapp.interceptor.
UserRoleAuthorizationInterceptor
Intercept the action invocation and check to see if the user has the proper role.
isAccountExpired()
- Method in class net.ramapuram.thomas.model.
User
isAccountLocked()
- Method in class net.ramapuram.thomas.model.
User
isAccountNonExpired()
- Method in class net.ramapuram.thomas.model.
User
isAccountNonLocked()
- Method in class net.ramapuram.thomas.model.
User
isCredentialsExpired()
- Method in class net.ramapuram.thomas.model.
User
isCredentialsNonExpired()
- Method in class net.ramapuram.thomas.model.
User
isEnabled()
- Method in class net.ramapuram.thomas.model.
User
isReadOnly(ELContext, Object, Object)
- Method in class net.ramapuram.thomas.webapp.jsp.
EscapeXmlELResolver
Issue
- Class in
net.ramapuram.thomas.model.circulation
User: Thomas Emmanuel Ramapuram Date: 16/11/11 Time: 6:18 PM
Issue()
- Constructor for class net.ramapuram.thomas.model.circulation.
Issue
L
LabelValue
- Class in
net.ramapuram.thomas.model
A simple JavaBean to represent label-value pairs.
LabelValue()
- Constructor for class net.ramapuram.thomas.model.
LabelValue
Default constructor.
LabelValue(String, String)
- Constructor for class net.ramapuram.thomas.model.
LabelValue
Construct an instance with the supplied property values.
list()
- Method in class net.ramapuram.thomas.webapp.action.
UserAction
Fetch all users from database and put into local "users" variable for retrieval in the UI.
loadUserByUsername(String)
- Method in class net.ramapuram.thomas.dao.hibernate.
UserDaoHibernate
Gets users information based on login name.
loadUserByUsername(String)
- Method in interface net.ramapuram.thomas.dao.
UserDao
Gets users information based on login name.
LocaleFilter
- Class in
net.ramapuram.thomas.webapp.filter
Filter to wrap request with a request including user preferred locale.
LocaleFilter()
- Constructor for class net.ramapuram.thomas.webapp.filter.
LocaleFilter
LocaleRequestWrapper
- Class in
net.ramapuram.thomas.webapp.filter
HttpRequestWrapper overriding methods getLocale(), getLocales() to include the user's preferred locale.
LocaleRequestWrapper(HttpServletRequest, Locale)
- Constructor for class net.ramapuram.thomas.webapp.filter.
LocaleRequestWrapper
Sets preferred local to user's locale
log
- Variable in class net.ramapuram.thomas.dao.hibernate.
GenericDaoHibernate
Log variable for all child classes.
log
- Variable in class net.ramapuram.thomas.service.impl.
GenericManagerImpl
Log variable for all child classes.
log
- Variable in class net.ramapuram.thomas.webapp.action.
BaseAction
Transient log to prevent session synchronization issues - children can use instance for logging.
LookupDao
- Interface in
net.ramapuram.thomas.dao
Lookup Data Access Object (GenericDao) interface.
LookupDaoHibernate
- Class in
net.ramapuram.thomas.dao.hibernate
Hibernate implementation of LookupDao.
LookupDaoHibernate(SessionFactory)
- Constructor for class net.ramapuram.thomas.dao.hibernate.
LookupDaoHibernate
Initialize LookupDaoHibernate with Hibernate SessionFactory.
LookupManager
- Interface in
net.ramapuram.thomas.service
Business Service Interface to talk to persistence layer and retrieve values for drop-down choice lists.
LookupManagerImpl
- Class in
net.ramapuram.thomas.service.impl
Implementation of LookupManager interface to talk to the persistence layer.
LookupManagerImpl()
- Constructor for class net.ramapuram.thomas.service.impl.
LookupManagerImpl
M
MailEngine
- Class in
net.ramapuram.thomas.service
Class for sending e-mail messages based on Velocity templates or with attachments.
MailEngine()
- Constructor for class net.ramapuram.thomas.service.
MailEngine
mailEngine
- Variable in class net.ramapuram.thomas.webapp.action.
BaseAction
MailEngine for sending e-mail
mailMessage
- Variable in class net.ramapuram.thomas.webapp.action.
BaseAction
A message pre-populated with default data
N
net.ramapuram.thomas
- package net.ramapuram.thomas
net.ramapuram.thomas.dao
- package net.ramapuram.thomas.dao
net.ramapuram.thomas.dao.hibernate
- package net.ramapuram.thomas.dao.hibernate
net.ramapuram.thomas.dao.spring
- package net.ramapuram.thomas.dao.spring
net.ramapuram.thomas.model
- package net.ramapuram.thomas.model
net.ramapuram.thomas.model.acquisition
- package net.ramapuram.thomas.model.acquisition
net.ramapuram.thomas.model.circulation
- package net.ramapuram.thomas.model.circulation
net.ramapuram.thomas.model.opac
- package net.ramapuram.thomas.model.opac
net.ramapuram.thomas.service
- package net.ramapuram.thomas.service
net.ramapuram.thomas.service.impl
- package net.ramapuram.thomas.service.impl
net.ramapuram.thomas.util
- package net.ramapuram.thomas.util
net.ramapuram.thomas.webapp.action
- package net.ramapuram.thomas.webapp.action
net.ramapuram.thomas.webapp.filter
- package net.ramapuram.thomas.webapp.filter
net.ramapuram.thomas.webapp.interceptor
- package net.ramapuram.thomas.webapp.interceptor
net.ramapuram.thomas.webapp.jsp
- package net.ramapuram.thomas.webapp.jsp
net.ramapuram.thomas.webapp.listener
- package net.ramapuram.thomas.webapp.listener
net.ramapuram.thomas.webapp.search
- package net.ramapuram.thomas.webapp.search
net.ramapuram.thomas.webapp.taglib
- package net.ramapuram.thomas.webapp.taglib
net.ramapuram.thomas.webapp.util
- package net.ramapuram.thomas.webapp.util
P
PasswordHintAction
- Class in
net.ramapuram.thomas.webapp.action
Action class to send password hints to registered users.
PasswordHintAction()
- Constructor for class net.ramapuram.thomas.webapp.action.
PasswordHintAction
populateObject(Object, ResourceBundle)
- Static method in class net.ramapuram.thomas.util.
ConvertUtil
Convenience method used by tests to populate an object from a ResourceBundle
postProcessBeanFactory(ConfigurableListableBeanFactory)
- Method in class net.ramapuram.thomas.dao.spring.
HibernateExtensionPostProcessor
Adds the annotated classes and the mapping resources to the existing Session Factory configuration.
PREFERRED_LOCALE_KEY
- Static variable in class net.ramapuram.thomas.
Constants
Session scope attribute that holds the locale set by the user.
prepare()
- Method in class net.ramapuram.thomas.webapp.action.
UserAction
Grab the entity from the database before populating with request parameters
process(CompassConfiguration)
- Method in class net.ramapuram.thomas.webapp.search.
CompassConfigurationPostProcessor
R
REGISTERED
- Static variable in class net.ramapuram.thomas.
Constants
The request scope attribute for indicating a newly-registered user
release()
- Method in class net.ramapuram.thomas.webapp.taglib.
ConstantsTag
Release all allocated resources.
ReloadAction
- Class in
net.ramapuram.thomas.webapp.action
This class is used to reload the drop-downs initialized in the StartupListener.
ReloadAction()
- Constructor for class net.ramapuram.thomas.webapp.action.
ReloadAction
remove(PK)
- Method in interface net.ramapuram.thomas.dao.
GenericDao
Generic method to delete an object based on class and id
remove(PK)
- Method in class net.ramapuram.thomas.dao.hibernate.
GenericDaoHibernate
Generic method to delete an object based on class and id
remove(PK)
- Method in interface net.ramapuram.thomas.service.
GenericManager
Generic method to delete an object based on class and id
remove(PK)
- Method in class net.ramapuram.thomas.service.impl.
GenericManagerImpl
Generic method to delete an object based on class and id
removeRole(String)
- Method in class net.ramapuram.thomas.dao.hibernate.
RoleDaoHibernate
Removes a role from the database by name
removeRole(String)
- Method in interface net.ramapuram.thomas.dao.
RoleDao
Removes a role from the database by name
removeRole(String)
- Method in class net.ramapuram.thomas.service.impl.
RoleManagerImpl
removeRole(String)
- Method in interface net.ramapuram.thomas.service.
RoleManager
removeUser(String)
- Method in class net.ramapuram.thomas.service.impl.
UserManagerImpl
Removes a user from the database by their userId
removeUser(String)
- Method in interface net.ramapuram.thomas.service.
UserManager
Removes a user from the database by their userId
removeUser(String)
- Method in interface net.ramapuram.thomas.service.
UserService
Removes a user from the database by their userId
RequestUtil
- Class in
net.ramapuram.thomas.webapp.util
Convenience class for setting and retrieving cookies.
Reservation
- Class in
net.ramapuram.thomas.model.opac
User: Thomas Emmanuel Ramapuram Date: 17/11/11 Time: 9:17 AM
Reservation()
- Constructor for class net.ramapuram.thomas.model.opac.
Reservation
Role
- Class in
net.ramapuram.thomas.model
This class is used to represent available roles in the database.
Role()
- Constructor for class net.ramapuram.thomas.model.
Role
Default constructor - creates a new instance with no values set.
Role(String)
- Constructor for class net.ramapuram.thomas.model.
Role
Create a new instance and set the name.
RoleDao
- Interface in
net.ramapuram.thomas.dao
Role Data Access Object (DAO) interface.
RoleDaoHibernate
- Class in
net.ramapuram.thomas.dao.hibernate
This class interacts with Spring's HibernateTemplate to save/delete and retrieve Role objects.
RoleDaoHibernate()
- Constructor for class net.ramapuram.thomas.dao.hibernate.
RoleDaoHibernate
Constructor to create a Generics-based version using Role as the entity
RoleManager
- Interface in
net.ramapuram.thomas.service
Business Service Interface to handle communication between web and persistence layer.
roleManager
- Variable in class net.ramapuram.thomas.webapp.action.
BaseAction
The RoleManager
RoleManagerImpl
- Class in
net.ramapuram.thomas.service.impl
Implementation of RoleManager interface.
RoleManagerImpl(RoleDao)
- Constructor for class net.ramapuram.thomas.service.impl.
RoleManagerImpl
S
save(T)
- Method in interface net.ramapuram.thomas.dao.
GenericDao
Generic method to save an object - handles both update and insert.
save(T)
- Method in class net.ramapuram.thomas.dao.hibernate.
GenericDaoHibernate
Generic method to save an object - handles both update and insert.
save(User)
- Method in class net.ramapuram.thomas.dao.hibernate.
UserDaoHibernate
Overridden simply to call the saveUser method.
save(T)
- Method in interface net.ramapuram.thomas.service.
GenericManager
Generic method to save an object - handles both update and insert.
save(T)
- Method in class net.ramapuram.thomas.service.impl.
GenericManagerImpl
Generic method to save an object - handles both update and insert.
save
- Variable in class net.ramapuram.thomas.webapp.action.
BaseAction
Set to "save" when a "save" request parameter is passed in
save()
- Method in class net.ramapuram.thomas.webapp.action.
SignupAction
Save the user, encrypting their passwords if necessary
save()
- Method in class net.ramapuram.thomas.webapp.action.
UserAction
Save user
saveMessage(String)
- Method in class net.ramapuram.thomas.webapp.action.
BaseAction
Save the message in the session, appending if messages already exist
saveRole(Role)
- Method in class net.ramapuram.thomas.service.impl.
RoleManagerImpl
saveRole(Role)
- Method in interface net.ramapuram.thomas.service.
RoleManager
saveUser(User)
- Method in class net.ramapuram.thomas.dao.hibernate.
UserDaoHibernate
Saves a user's information.
saveUser(User)
- Method in interface net.ramapuram.thomas.dao.
UserDao
Saves a user's information.
saveUser(User)
- Method in class net.ramapuram.thomas.service.impl.
UserManagerImpl
Saves a user's information.
saveUser(User)
- Method in interface net.ramapuram.thomas.service.
UserManager
Saves a user's information.
saveUser(User)
- Method in interface net.ramapuram.thomas.service.
UserService
Saves a user's information
scope
- Variable in class net.ramapuram.thomas.webapp.taglib.
ConstantsTag
The scope to be put the variable in.
search(String, Class)
- Method in interface net.ramapuram.thomas.service.
GenericManager
Generic method to search for an object.
search(String, Class)
- Method in class net.ramapuram.thomas.service.impl.
GenericManagerImpl
Generic method to search for an object.
search(String)
- Method in class net.ramapuram.thomas.service.impl.
UserManagerImpl
Search a user for search terms.
search(String)
- Method in interface net.ramapuram.thomas.service.
UserManager
Search a user for search terms.
send(SimpleMailMessage)
- Method in class net.ramapuram.thomas.service.
MailEngine
Send a simple message with pre-populated values.
sendMessage(SimpleMailMessage, String, Map)
- Method in class net.ramapuram.thomas.service.
MailEngine
Send a simple message based on a Velocity template.
sendMessage(String[], String, ClassPathResource, String, String, String)
- Method in class net.ramapuram.thomas.service.
MailEngine
Convenience method for sending messages with attachments.
sendUserMessage(User, String, String)
- Method in class net.ramapuram.thomas.webapp.action.
BaseAction
Convenience method to send e-mail to users
setAccountExpired(boolean)
- Method in class net.ramapuram.thomas.model.
User
setAccountLocked(boolean)
- Method in class net.ramapuram.thomas.model.
User
setAddress(String)
- Method in class net.ramapuram.thomas.model.
Address
setAddress(Address)
- Method in class net.ramapuram.thomas.model.
User
setAnnotatedClasses(List)
- Method in class net.ramapuram.thomas.dao.spring.
HibernateExtensionPostProcessor
The list of annotated classes to add to the session factory.
setAuthor(String)
- Method in class net.ramapuram.thomas.model.acquisition.
Book
setAuthorizedRoles(String[])
- Method in class net.ramapuram.thomas.webapp.interceptor.
UserRoleAuthorizationInterceptor
Set the roles that this interceptor should treat as authorized.
setBook(Book)
- Method in class net.ramapuram.thomas.model.circulation.
Issue
setBook(Book)
- Method in class net.ramapuram.thomas.model.opac.
Comment
setBook(Book)
- Method in class net.ramapuram.thomas.model.opac.
Reservation
setCancel(String)
- Method in class net.ramapuram.thomas.webapp.action.
SignupAction
setCity(String)
- Method in class net.ramapuram.thomas.model.
Address
setClassName(String)
- Method in class net.ramapuram.thomas.webapp.taglib.
ConstantsTag
setComment(String)
- Method in class net.ramapuram.thomas.model.opac.
Comment
setConfigLocations(List)
- Method in class net.ramapuram.thomas.dao.spring.
HibernateExtensionPostProcessor
The list of configuration locations (i.e.
setConfirmPassword(String)
- Method in class net.ramapuram.thomas.model.
User
setCookie(HttpServletResponse, String, String, String)
- Static method in class net.ramapuram.thomas.webapp.util.
RequestUtil
Convenience method to set a cookie
setCountry(String)
- Method in class net.ramapuram.thomas.model.
Address
setCredentialsExpired(boolean)
- Method in class net.ramapuram.thomas.model.
User
setCurrentIssue(Issue)
- Method in class net.ramapuram.thomas.model.acquisition.
Book
setDecimalFormatter(DecimalFormat)
- Method in class net.ramapuram.thomas.util.
CurrencyConverter
setDefault(String)
- Method in class net.ramapuram.thomas.webapp.taglib.
CountryTag
setDelete(String)
- Method in class net.ramapuram.thomas.webapp.action.
BaseAction
setDescription(String)
- Method in class net.ramapuram.thomas.model.
Role
setDueDate(Date)
- Method in class net.ramapuram.thomas.model.circulation.
Issue
setEmail(String)
- Method in class net.ramapuram.thomas.model.
User
setEnabled(boolean)
- Method in class net.ramapuram.thomas.model.
User
setEnteredOn(Date)
- Method in class net.ramapuram.thomas.model.opac.
Comment
setFile(File)
- Method in class net.ramapuram.thomas.webapp.action.
FileUploadAction
setFileContentType(String)
- Method in class net.ramapuram.thomas.webapp.action.
FileUploadAction
setFileFileName(String)
- Method in class net.ramapuram.thomas.webapp.action.
FileUploadAction
setFirstName(String)
- Method in class net.ramapuram.thomas.model.
User
setFrom(String)
- Method in class net.ramapuram.thomas.service.
MailEngine
setFrom(String)
- Method in class net.ramapuram.thomas.webapp.action.
BaseAction
Convenience method for setting a "from" parameter to indicate the previous page.
setHibernateProperties(Properties)
- Method in class net.ramapuram.thomas.dao.spring.
HibernateExtensionPostProcessor
Hibernate properties to add to the session factory.
setId(Long)
- Method in class net.ramapuram.thomas.model.acquisition.
Book
setId(Long)
- Method in class net.ramapuram.thomas.model.circulation.
Issue
setId(Long)
- Method in class net.ramapuram.thomas.model.opac.
Comment
setId(Long)
- Method in class net.ramapuram.thomas.model.opac.
Reservation
setId(Long)
- Method in class net.ramapuram.thomas.model.
Role
setId(Long)
- Method in class net.ramapuram.thomas.model.
User
setId(String)
- Method in class net.ramapuram.thomas.webapp.action.
UserAction
setIsbn(String)
- Method in class net.ramapuram.thomas.model.acquisition.
Book
setIssueDate(Date)
- Method in class net.ramapuram.thomas.model.circulation.
Issue
setIssuedTo(User)
- Method in class net.ramapuram.thomas.model.circulation.
Issue
setLabel(String)
- Method in class net.ramapuram.thomas.model.
LabelValue
setLastName(String)
- Method in class net.ramapuram.thomas.model.
User
setMailEngine(MailEngine)
- Method in class net.ramapuram.thomas.webapp.action.
BaseAction
setMailMessage(SimpleMailMessage)
- Method in class net.ramapuram.thomas.webapp.action.
BaseAction
setMailSender(MailSender)
- Method in class net.ramapuram.thomas.service.
MailEngine
setMappingResources(List)
- Method in class net.ramapuram.thomas.dao.spring.
HibernateExtensionPostProcessor
Set the list of mapping resources (.hbm.xml files) to be added to the session factory.
setName(String)
- Method in class net.ramapuram.thomas.model.
Role
setName(String)
- Method in class net.ramapuram.thomas.webapp.action.
FileUploadAction
setName(String)
- Method in class net.ramapuram.thomas.webapp.taglib.
CountryTag
setPassword(String)
- Method in class net.ramapuram.thomas.model.
User
setPasswordEncoder(PasswordEncoder)
- Method in class net.ramapuram.thomas.service.impl.
UserManagerImpl
setPasswordHint(String)
- Method in class net.ramapuram.thomas.model.
User
setPhoneNumber(String)
- Method in class net.ramapuram.thomas.model.
User
setPostalCode(String)
- Method in class net.ramapuram.thomas.model.
Address
setPrompt(String)
- Method in class net.ramapuram.thomas.webapp.taglib.
CountryTag
setProvince(String)
- Method in class net.ramapuram.thomas.model.
Address
setPublishedPlace(String)
- Method in class net.ramapuram.thomas.model.acquisition.
Book
setPublishedYear(Date)
- Method in class net.ramapuram.thomas.model.acquisition.
Book
setQ(String)
- Method in class net.ramapuram.thomas.webapp.action.
UserAction
setReservationReleaseDate(Date)
- Method in class net.ramapuram.thomas.model.opac.
Reservation
setReturnDate(Date)
- Method in class net.ramapuram.thomas.model.circulation.
Issue
setRoleManager(RoleManager)
- Method in class net.ramapuram.thomas.webapp.action.
BaseAction
setRoles(Set<Role>)
- Method in class net.ramapuram.thomas.model.
User
setSave(String)
- Method in class net.ramapuram.thomas.webapp.action.
BaseAction
setScope(String)
- Method in class net.ramapuram.thomas.webapp.taglib.
ConstantsTag
setSessionFactory(SessionFactory)
- Method in class net.ramapuram.thomas.dao.hibernate.
GenericDaoHibernate
setSessionFactoryBeanName(String)
- Method in class net.ramapuram.thomas.dao.spring.
HibernateExtensionPostProcessor
Set the name of the SessionFactory bean.
setSubject(String)
- Method in class net.ramapuram.thomas.model.acquisition.
Book
setTemplateName(String)
- Method in class net.ramapuram.thomas.webapp.action.
BaseAction
setTitle(String)
- Method in class net.ramapuram.thomas.model.acquisition.
Book
setToScope(String)
- Method in class net.ramapuram.thomas.webapp.taglib.
CountryTag
setupContext(ServletContext)
- Static method in class net.ramapuram.thomas.webapp.listener.
StartupListener
This method uses the LookupManager to lookup available roles from the data layer.
setUser(User)
- Method in class net.ramapuram.thomas.model.opac.
Comment
setUser(User)
- Method in class net.ramapuram.thomas.model.opac.
Reservation
setUser(User)
- Method in class net.ramapuram.thomas.webapp.action.
SignupAction
setUser(User)
- Method in class net.ramapuram.thomas.webapp.action.
UserAction
setUserDao(UserDao)
- Method in class net.ramapuram.thomas.service.impl.
UserManagerImpl
setUserDao(UserDao)
- Method in interface net.ramapuram.thomas.service.
UserManager
Convenience method for testing - allows you to mock the DAO and set it on an interface.
setUserManager(UserManager)
- Method in class net.ramapuram.thomas.webapp.action.
BaseAction
setUsername(String)
- Method in class net.ramapuram.thomas.model.
User
setUsername(String)
- Method in class net.ramapuram.thomas.webapp.action.
PasswordHintAction
setValue(String)
- Method in class net.ramapuram.thomas.model.
LabelValue
setValue(ELContext, Object, Object, Object)
- Method in class net.ramapuram.thomas.webapp.jsp.
EscapeXmlELResolver
setVar(String)
- Method in class net.ramapuram.thomas.webapp.taglib.
ConstantsTag
setVelocityEngine(VelocityEngine)
- Method in class net.ramapuram.thomas.service.
MailEngine
setVersion(Integer)
- Method in class net.ramapuram.thomas.model.
User
setWebsite(String)
- Method in class net.ramapuram.thomas.model.
User
SignupAction
- Class in
net.ramapuram.thomas.webapp.action
Action to allow new users to sign up.
SignupAction()
- Constructor for class net.ramapuram.thomas.webapp.action.
SignupAction
StartupListener
- Class in
net.ramapuram.thomas.webapp.listener
StartupListener class used to initialize and database settings and populate any application-wide drop-downs.
StartupListener()
- Constructor for class net.ramapuram.thomas.webapp.listener.
StartupListener
T
templateName
- Variable in class net.ramapuram.thomas.webapp.action.
BaseAction
Velocity template to use for e-mailing
TimestampConverter
- Class in
net.ramapuram.thomas.util
This class is converts a java.util.Date to a String and a String to a java.util.Date for use as a Timestamp.
TimestampConverter()
- Constructor for class net.ramapuram.thomas.util.
TimestampConverter
Title
- Class in
net.ramapuram.thomas.model.acquisition
User: Thomas Emmanuel Ramapuram Date: 17/11/11 Time: 3:36 PM
Title()
- Constructor for class net.ramapuram.thomas.model.acquisition.
Title
toString()
- Method in class net.ramapuram.thomas.model.acquisition.
Book
toString()
- Method in class net.ramapuram.thomas.model.
Address
Returns a multi-line String with key=value pairs.
toString()
- Method in class net.ramapuram.thomas.model.
BaseObject
Returns a multi-line String with key=value pairs.
toString()
- Method in class net.ramapuram.thomas.model.circulation.
Issue
toString()
- Method in class net.ramapuram.thomas.model.
LabelValue
Return a string representation of this object.
toString()
- Method in class net.ramapuram.thomas.model.opac.
Comment
toString()
- Method in class net.ramapuram.thomas.model.opac.
Reservation
toString()
- Method in class net.ramapuram.thomas.model.
Role
Returns a multi-line String with key=value pairs.
toString()
- Method in class net.ramapuram.thomas.model.
User
Returns a multi-line String with key=value pairs.
TS_FORMAT
- Static variable in class net.ramapuram.thomas.util.
TimestampConverter
i18n-ized timestamp format - based on values in ApplicationResources.properties
U
upload()
- Method in class net.ramapuram.thomas.webapp.action.
FileUploadAction
Upload the file
User
- Class in
net.ramapuram.thomas.model
This class represents the basic "user" object in AppFuse that allows for authentication and user management.
User()
- Constructor for class net.ramapuram.thomas.model.
User
Default constructor - creates a new instance with no values set.
User(String)
- Constructor for class net.ramapuram.thomas.model.
User
Create a new instance and set the username.
USER_HOME
- Static variable in class net.ramapuram.thomas.
Constants
User home from System properties
USER_KEY
- Static variable in class net.ramapuram.thomas.
Constants
The request scope attribute under which an editable user form is stored
USER_LIST
- Static variable in class net.ramapuram.thomas.
Constants
The request scope attribute that holds the user list
USER_ROLE
- Static variable in class net.ramapuram.thomas.
Constants
The name of the User role, as specified in web.xml
USER_ROLES
- Static variable in class net.ramapuram.thomas.
Constants
The name of the user's role list, a request-scoped attribute when adding/editing a user.
UserAction
- Class in
net.ramapuram.thomas.webapp.action
Action for facilitating User Management feature.
UserAction()
- Constructor for class net.ramapuram.thomas.webapp.action.
UserAction
UserCounterListener
- Class in
net.ramapuram.thomas.webapp.listener
UserCounterListener class used to count the current number of active users for the applications.
UserCounterListener()
- Constructor for class net.ramapuram.thomas.webapp.listener.
UserCounterListener
UserDao
- Interface in
net.ramapuram.thomas.dao
User Data Access Object (GenericDao) interface.
UserDaoHibernate
- Class in
net.ramapuram.thomas.dao.hibernate
This class interacts with Spring's HibernateTemplate to save/delete and retrieve User objects.
UserDaoHibernate()
- Constructor for class net.ramapuram.thomas.dao.hibernate.
UserDaoHibernate
Constructor that sets the entity to User.class.
UserExistsException
- Exception in
net.ramapuram.thomas.service
An exception that is thrown by classes wanting to trap unique constraint violations.
UserExistsException(String)
- Constructor for exception net.ramapuram.thomas.service.
UserExistsException
Constructor for UserExistsException.
UserManager
- Interface in
net.ramapuram.thomas.service
Business Service Interface to handle communication between web and persistence layer.
userManager
- Variable in class net.ramapuram.thomas.webapp.action.
BaseAction
The UserManager
UserManagerImpl
- Class in
net.ramapuram.thomas.service.impl
Implementation of UserManager interface.
UserManagerImpl()
- Constructor for class net.ramapuram.thomas.service.impl.
UserManagerImpl
UserRoleAuthorizationInterceptor
- Class in
net.ramapuram.thomas.webapp.interceptor
Security interceptor checks to see if users are in the specified roles before proceeding.
UserRoleAuthorizationInterceptor()
- Constructor for class net.ramapuram.thomas.webapp.interceptor.
UserRoleAuthorizationInterceptor
USERS_KEY
- Static variable in class net.ramapuram.thomas.webapp.listener.
UserCounterListener
Name of users Set in the ServletContext
UserSecurityAdvice
- Class in
net.ramapuram.thomas.service
This advice is responsible for enforcing security and only allowing administrators to modify users.
UserSecurityAdvice()
- Constructor for class net.ramapuram.thomas.service.
UserSecurityAdvice
UserService
- Interface in
net.ramapuram.thomas.service
Web Service interface so hierarchy of Generic Manager isn't carried through.
V
validate()
- Method in class net.ramapuram.thomas.webapp.action.
FileUploadAction
var
- Variable in class net.ramapuram.thomas.webapp.taglib.
ConstantsTag
The single variable to expose.
A
B
C
D
E
F
G
H
I
L
M
N
P
R
S
T
U
V
Overview
Package
Class
Use
Tree
Deprecated
Index
Help
PREV NEXT
FRAMES
NO FRAMES
All Classes
Copyright © 2011. All Rights Reserved.